Subject: Re: bug#18596: 25.0.50; MS-Windows needs a different default for python-shell-interpreter-args

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Oct 2014 19:50:35 +0300

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 01 Oct 2014 12:48:06 -0400
> 
> Eli Zaretskii wrote:
> 
> > With the default value, 'run-python' hangs in accept-process-output.
> > This fixes that for me:
> >
> > --- lisp/progmodes/python.el~0	2014-10-01 06:33:59 +0300
> > +++ lisp/progmodes/python.el	2014-10-01 18:10:48 +0300
> > @@ -1739,7 +1739,8 @@
> >    :group 'python
> >    :safe 'stringp)
> >  
> > -(defcustom python-shell-interpreter-args "-i"
> > +(defcustom python-shell-interpreter-args
> > +  (if (eq system-type 'windows-nt) "-i -u" "-i")
> 
> Should this be in emacs-24?

I wasn't sure it was important enough.  I can back-port (given that
the maintainer agrees to the fix).

> (So no-one has ever used it on MS Windows?)

This is just the default value of the defcustom, one could customize
it and solve the problem.  I guess whoever used this did that.